Bug 38958 - Win98 login failures when samba running as domain controller.
Win98 login failures when samba running as domain controller.
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-03 11:38 EDT by mcisar
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-20 19:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mcisar 2001-05-03 11:38:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0; IUL)

Description of problem:
Samba is set up to run as domain controller for a domain of 4 Win98 
workstations (also running as WINS server).  About 90% of the time, domain 
logins will fail with a password invalid or unable to connect to server 
error.  It doesn't seem to be a problem with the server being 
misconfigured or not running, as sometimes one or two users will be able 
to get in fine and the others not.  If the users keep trying to log in 
over a period of say 1/2 hour, eventually they will all be able to log in 

How reproducible:

Steps to Reproduce:
1. Boot windows system, domain login prompt comes up
2. Enter any valid username and password
3. login error comes up
4. repeat 1-3 at random intervals for 1/2 to 3/4 hour and eventually login 
will succeed.	

Actual Results:  about 5-10% of the time the login will succeed the first 
time, the other 90-95% of the time login attempt must be repeated over and 
over before successful login is gained.

Expected Results:  Login should have been successful the first time.

Additional info:

If users shutdown their machine and reboot right away and then log in 
again, they *seem* so far to be successful at logging in again without 
error.  But if they shutdown their machine overnight it is almost 
guaranteed they will fail in the morning.  Have clicked cancel at the 
login prompt and dropped through to windows and done check to verify that 
indeed they have a valid IP and can ping the server.
Comment 1 Trond Eivind Glomsrxd 2001-06-20 18:16:33 EDT
Anything useful in the logs?
Comment 2 mcisar 2001-06-20 19:13:05 EDT
There was nothing of any use in the logs I'm afraid.  After trolling for 
answers on several Samba sites, I was able to "resolve" the problem by just 
upgrading to a current version of Samba.  I was told by several people that the 
2.0.x versions of Samba were far less stable than the current 2.2.x tree... 
this has proven to be true, after upgrading I have not had a problem.
Comment 3 Trond Eivind Glomsrxd 2001-08-08 23:57:51 EDT
Current rawhide release is 2.2-based (2.2.1a-3 shortly), closing

Note You need to log in before you can comment on or make changes to this bug.